Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.meta
Class VersionIndicator

    java.lang.Object
      |
      +--kodo.jdbc.meta.Indicator
            |
            +--kodo.jdbc.meta.VersionIndicator

All Implemented Interfaces:
  Mapping

Direct Known Subclasses:
  ColumnVersionIndicator, StateImageVersionIndicator

public abstract class VersionIndicator
extends Indicator

Handles optimistic lock versioning for a class.

Constructor Summary
`VersionIndicator()`

Method Summary
`abstract Object` | `attachVersion(Serializable version)` Convert from an external form of the version into the internal form.
`abstract int` | `compareVersion(Object v1, Object v2)`
`abstract Serializable` | `detachVersion(Object version)` Return a serializable, external form of the version.
`static VersionIndicator[]` | `getDefaults()` Return the set of default version indicators.
`void` | `load(KodoStateManager sm, JDBCStoreManager store, Result res)` Load virtual row data.
`static VersionIndicator` | `newInstance(String type)` Return the indicator for the given indicator name.
`void` | `postLoad(KodoStateManager sm, JDBCStoreManager store)` This method is called after data is loaded into the instance, in case the version indicator works off of a state image.
`abstract boolean` | `synchVersion(KodoStateManager sm, JDBCStoreManager store)` Synchronize the version of the given state manager with the version stored in memory.
`String` | `toString()`

Methods inherited from class kodo.jdbc.meta.Indicator
`addMappingInfoAttributes, delete, delete, fromMappingInfo, getColumns, getDBDictionary, getMappingRepository, getOwnerMapping, getTable, insert, insert, isCustomDelete, isCustomInsert, isCustomUpdate, refSchemaComponents, reverseMap, select, setOwnerMapping, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface kodo.jdbc.meta.Mapping
`getMappingType, map, toMappingInfo`

Constructor Detail

### VersionIndicator

    public VersionIndicator()

Method Detail

### newInstance

    public static VersionIndicator newInstance(String type)

  Return the indicator for the given indicator name.

### getDefaults

    public static VersionIndicator[] getDefaults()

  Return the set of default version indicators.

### load

    public void load(KodoStateManager sm,
                     JDBCStoreManager store,
                     Result res)
              throws SQLException

  Load virtual row data.

### postLoad

    public void postLoad(KodoStateManager sm,
                         JDBCStoreManager store)

  This method is called after data is loaded into the instance, in case the version indicator works off of a state image.

### synchVersion

    public abstract boolean synchVersion(KodoStateManager sm,
                                         JDBCStoreManager store)
                                  throws SQLException

  Synchronize the version of the given state manager with the version stored in memory.
  See Also:
    `StoreManager.synchVersion(kodo.runtime.KodoStateManager, java.lang.Object)`

### detachVersion

    public abstract Serializable detachVersion(Object version)

  Return a serializable, external form of the version.

### attachVersion

    public abstract Object attachVersion(Serializable version)

  Convert from an external form of the version into the internal form.

### compareVersion

    public abstract int compareVersion(Object v1,
                                       Object v2)

  See Also:
    `StoreManager.compareVersion(kodo.runtime.KodoStateManager, java.lang.Object, java.lang.Object)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.